Description: Honor the value of the environment variable CPPFLAGS
Author: Rafael Laboissière <rafael@debian.org>
Forwarded: https://github.com/praat/praat/pull/1910
Last-Update: 2021-13-20

--- praat-6.1.55.orig/EEG/Makefile
+++ praat-6.1.55/EEG/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon
 
 OBJECTS = EEG.o EEGWindow.o ERPTier.o ERP.o ERPWindow.o \
    praat_EEG.o manual_EEG.o
--- praat-6.1.55.orig/FFNet/Makefile
+++ praat-6.1.55/FFNet/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwtools -I ../fon -I ../dwsys -I ../stat -I ../gram
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../dwtools -I ../fon -I ../dwsys -I ../stat -I ../gram
 
 OBJECTS = FFNet.o \
 	FFNet_Eigen.o FFNet_Matrix.o FFNet_PatternList.o \
--- praat-6.1.55.orig/LPC/Makefile
+++ praat-6.1.55/LPC/Makefile
@@ -4,7 +4,7 @@
 #  -save-temps=cwd
 include ../makefile.defs
 
-CPPFLAGS = -I . -I ../kar -I ../melder -I ../fon -I ../dwtools -I ../sys -I ../dwsys -I ../stat
+CPPFLAGS += -I . -I ../kar -I ../melder -I ../fon -I ../dwtools -I ../sys -I ../dwsys -I ../stat
 
 OBJECTS = Cepstrum.o Cepstrumc.o Cepstrum_and_Spectrum.o \
 	Cepstrogram.o \
--- praat-6.1.55.orig/artsynth/Makefile
+++ praat-6.1.55/artsynth/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../fon -I ../stat
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../fon -I ../stat
 
 OBJECTS = Speaker.o Articulation.o Artword.o \
      Art_Speaker.o Art_Speaker_to_VocalTract.o Artword_Speaker.o Artword_Speaker_Sound.o \
--- praat-6.1.55.orig/dwsys/Makefile
+++ praat-6.1.55/dwsys/Makefile
@@ -4,7 +4,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar
+CPPFLAGS += -I ../melder -I ../stat -I ../sys -I ../fon -I ../external/gsl -I ../external/clapack -I ../kar
 
 all: libdwsys.a
 
--- praat-6.1.55.orig/dwtools/Makefile
+++ praat-6.1.55/dwtools/Makefile
@@ -4,7 +4,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile
+CPPFLAGS += -I . -I ../kar -I ../melder -I ../LPC -I ../fon -I ../sys -I ../stat -I ../dwsys -I ../external/portaudio -I ../external/espeak -I ../external/clapack -I ../EEG -I ../external/vorbis -I ../external/opusfile
 
 OBJECTS = ActivationList.o AffineTransform.o AnalyticSound.o \
 	Categories.o CategoriesEditor.o \
--- praat-6.1.55.orig/external/clapack/Makefile
+++ praat-6.1.55/external/clapack/Makefile
@@ -4,7 +4,7 @@
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../melder
+CPPFLAGS += -I ../../melder
 
 OBJECTS = blas.o \
 	lapack.o lapack_dg.o lapack_dlaq.o \
--- praat-6.1.55.orig/external/espeak/Makefile
+++ praat-6.1.55/external/espeak/Makefile
@@ -3,7 +3,7 @@
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../kar -I ../../melder -I ../../dwtools -I ../../sys -I ../../dwsys -I ../../stat
+CPPFLAGS += -I ../../kar -I ../../melder -I ../../dwtools -I ../../sys -I ../../dwsys -I ../../stat
 
 OBJECTS = case.o categories.o compiledata.o compiledict.o \
 	dictionary.o \
--- praat-6.1.55.orig/external/mp3/Makefile
+++ praat-6.1.55/external/mp3/Makefile
@@ -4,7 +4,7 @@
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../melder
+CPPFLAGS += -I ../../melder
 
 OBJECTS = mp3.o \
 	mad_bit.o \
--- praat-6.1.55.orig/external/opusfile/Makefile
+++ praat-6.1.55/external/opusfile/Makefile
@@ -3,7 +3,7 @@
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../melder -I ../vorbis -I opus -I opus/celt -I opus/silk -I opus/silk/float
+CPPFLAGS += -I ../../melder -I ../vorbis -I opus -I opus/celt -I opus/silk -I opus/silk/float
 
 OPUSFILE_OBJECTS = opusfile.o opusfile_info.o opusfile_internal.o opusfile_stream.o
 
--- praat-6.1.55.orig/external/vorbis/Makefile
+++ praat-6.1.55/external/vorbis/Makefile
@@ -3,7 +3,7 @@
 
 include ../../makefile.defs
 
-CPPFLAGS = -I ../../melder
+CPPFLAGS += -I ../../melder
 
 OBJECTS = ogg_bitwise.o ogg_framing.o \
 	vorbis_block.o vorbis_bitrate.o vorbis_codebook.o vorbis_envelope.o vorbis_floor0.o \
--- praat-6.1.55.orig/fon/Makefile
+++ praat-6.1.55/fon/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../LPC -I ../fon -I ../external/portaudio -I ../external/flac -I ../external/mp3 -I ../external/espeak
 
 OBJECTS = Transition.o Distributions_and_Transition.o \
    Function.o Sampled.o SampledXY.o Matrix.o Vector.o Polygon.o PointProcess.o \
--- praat-6.1.55.orig/gram/Makefile
+++ praat-6.1.55/gram/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../stat -I ../dwtools -I ../fon
 
 OBJECTS = Network.o \
    OTGrammar.o OTGrammarEditor.o manual_gram.o praat_gram.o OTMulti.o OTMultiEditor.o \
--- praat-6.1.55.orig/kar/Makefile
+++ praat-6.1.55/kar/Makefile
@@ -5,7 +5,7 @@ include ../makefile.defs
 
 OBJECTS = ipaSerifRegularPS.o longchar.o
 
-CPPFLAGS = -I ../melder
+CPPFLAGS += -I ../melder
 
 .PHONY: all clean
 
--- praat-6.1.55.orig/main/Makefile
+++ praat-6.1.55/main/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../fon
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../fon
 
 .PHONY: clean
 
--- praat-6.1.55.orig/melder/Makefile
+++ praat-6.1.55/melder/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../melder
+CPPFLAGS += -I ../melder
 
 OBJECTS = melder.o complex.o melder_alloc.o melder_colour.o \
 	melder_ftoa.o melder_console.o melder_textencoding.o melder_atof.o melder_files.o \
--- praat-6.1.55.orig/stat/Makefile
+++ praat-6.1.55/stat/Makefile
@@ -3,7 +3,7 @@
 
 include ../makefile.defs
 
-CPPFLAGS = -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat
+CPPFLAGS += -I ../kar -I ../melder -I ../sys -I ../dwsys -I ../dwtools -I ../fon -I ../stat
 
 OBJECTS = Table.o TableEditor.o Regression.o manual_statistics.o \
    praat_TableOfReal.o praat_Stat.o \
--- praat-6.1.55.orig/sys/Makefile
+++ praat-6.1.55/sys/Makefile
@@ -4,7 +4,7 @@
 include ../makefile.defs
 
 # -I ../sys is there because e.g. Graphics.cpp include fon/Function.h, which again includes something from sys
-CPPFLAGS = -I ../melder -I ../sys -I ../dwsys
+CPPFLAGS += -I ../melder -I ../sys -I ../dwsys
 
 OBJECTS = Thing.o Data.o Simple.o Collection.o Strings.o \
    Graphics.o Graphics_linesAndAreas.o Graphics_text.o Graphics_colour.o \
